# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-10-12 06:26
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False, editable=False)),
                ('type', models.CharField(choices=[('B', 'Domicilio fiscal')], default='B', max_length=1)),
                ('address', models.CharField(max_length=100, verbose_name='Dirección del domicilio fiscal')),
                ('ubigeo', models.CharField(max_length=6, verbose_name='Ubigeo')),
                ('district', models.CharField(max_length=100, null=True, verbose_name='Distrito')),
                ('province', models.CharField(max_length=100, null=True, verbose_name='Provincia')),
                ('department', models.CharField(max_length=100, null=True, verbose_name='Departamento')),
                ('country', models.CharField(max_length=100, null=True, verbose_name='País')),
            ],
            options={
                'verbose_name': 'Dirección',
                'verbose_name_plural': 'Direcciones',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Fecha Creación:')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Fecha Modificación:')),
                ('is_deleted', models.BooleanField(default=False, editable=False)),
                ('type_doc', models.PositiveIntegerField(choices=[(0, 'Otros tipos de documento'), (1, 'DNI'), (4, 'Carnet de extranjería'), (6, 'RUC'), (7, 'Pasaporte')], verbose_name='(*)Identificado con:')),
                ('num_doc', models.CharField(max_length=20, verbose_name='(*)Número de documento:')),
                ('type_person_sunat', models.CharField(choices=[('TPJ', 'Jurídica'), ('TPN', 'Natural'), ('SND', 'No domiciliado')], max_length=3, verbose_name='(*)Persona:')),
                ('name', models.CharField(max_length=100, verbose_name='(*)Razón social')),
                ('paternal_surname', models.CharField(blank=True, max_length=20, null=True, verbose_name='(*)Apellido paterno')),
                ('maternal_surname', models.CharField(blank=True, max_length=20, null=True, verbose_name='(*)Apellido materno')),
                ('first_name', models.CharField(blank=True, max_length=20, null=True, verbose_name='(*)Primer nombre')),
                ('second_name', models.CharField(blank=True, max_length=20, null=True, verbose_name='(*)Segundo nombre')),
                ('client_group', models.PositiveIntegerField(choices=[(100, 'Clientes estatales'), (109, 'Clientes privados'), (110, 'Otros')], verbose_name='(*)Tipo Cliente:')),
                ('locked', models.BooleanField(default=False, verbose_name='Esta bloqueado?')),
                ('email_fact', models.EmailField(blank=True, max_length=254, null=True, verbose_name='(*)Email de facturación electrónica')),
                ('comments', models.TextField(blank=True, max_length=300, null=True, verbose_name='(*)Comentarios')),
                ('image', models.ImageField(blank=True, null=True, upload_to='clients/images', verbose_name='Imagen')),
                ('full_name', models.CharField(blank=True, max_length=100, null=True, verbose_name='nombre completo')),
            ],
            options={
                'verbose_name': 'Cliente',
                'verbose_name_plural': 'Clientes',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False, editable=False)),
                ('name', models.CharField(max_length=200, null=True, verbose_name='Nombre Completo')),
                ('phone_1', models.CharField(blank=True, max_length=20, null=True, verbose_name='Teléfono 1')),
                ('phone_2', models.CharField(blank=True, max_length=20, null=True, verbose_name='Teléfono 2')),
                ('cellphone', models.CharField(blank=True, max_length=50, null=True, verbose_name='Teléfono móvil')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email')),
                ('notes', models.CharField(blank=True, max_length=200, null=True, verbose_name='Notas')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contacts', to='clients.Client', verbose_name='Cliente')),
            ],
            options={
                'verbose_name': 'Contacto',
                'verbose_name_plural': 'Contactos',
                'ordering': ['-created_at'],
            },
        ),
        migrations.AddField(
            model_name='address',
            name='client',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='addresses', to='clients.Client', verbose_name='Cliente'),
        ),
    ]
